import request from '@/utils/request'

// 查询用户提现审核列表
export function listUserWithdraw(query) {
  return request({
    url: '/xq/userWithdraw/list',
    method: 'get',
    params: query
  })
}

// 查询用户提现审核详细
export function getUserWithdraw(id) {
  return request({
    url: '/xq/userWithdraw/' + id,
    method: 'get'
  })
}

// 新增用户提现审核
export function addUserWithdraw(data) {
  return request({
    url: '/xq/userWithdraw',
    method: 'post',
    data: data
  })
}

// 修改用户提现审核
export function updateUserWithdraw(data) {
  return request({
    url: '/xq/userWithdraw',
    method: 'put',
    data: data
  })
}

// 删除用户提现审核
export function delUserWithdraw(id) {
  return request({
    url: '/xq/userWithdraw/' + id,
    method: 'delete'
  })
}

export function userWithdrawAuditSuccess(data) {
  return request({
    url: '/xq/userWithdraw/audit/success',
    method: 'post',
    data: data
  })
}


export function userWithdrawAuditFail(data) {
  return request({
    url: '/xq/userWithdraw/audit/fail',
    method: 'post',
    data: data
  })
}
